Get Profile List
1. API Description
Get the profile list.
Request mode: GET [ip]/api/profile/list
| Administrator Rights |
Login Authentication |
| No |
Yes |
None
3. Output Parameters
Profile
| Parameter |
Type |
Description |
| id |
Int |
Profile ID |
| selected |
Boolean |
Whether it is selected |
| name |
String |
Name |
| mode |
Int |
View Mode |
| audio-idx |
Int |
Split screen index for selecting output audio (0-3) |
| pip |
Struct |
Only exists and can be configured when view mode is picture-in-picture. If not configured, system default values will be used. Refer to Picture-in-Picture Configuration for data structure. |
| screens |
Array |
Array of split screen configurations. For picture-in-picture, there are 2 elements where the first one is the large screen. For 4-split screen, the order is: top-left, top-right, bottom-left, bottom-right. |
Limit Limitations
| Parameter |
Type |
Description |
| max-profile-num |
Int |
Maximum number of profiles |
Default-pip
| Parameter |
Type |
Description |
| mode |
Int |
Refer to the coordinate mode field definition in Picture-in-Picture Configuration |
| scale |
Array |
Contains three values: default scale ratio, minimum scale ratio, and maximum scale ratio for the small screen |
| x |
Int |
Default x-coordinate of the top-left corner of the small screen |
| y |
Int |
Default y-coordinate of the top-left corner of the small screen |
4. Example
Get profile list
Request Example
GET /api/profile/list
Output Example
{
"current-id": 2,
"default-pip": {
"mode": 6,
"scale": [
0.25,
0.2,
0.8
],
"x": 0.05,
"y": 0.05
},
"limit": {
"max-profile-num": 10
},
"mode": 2,
"profiles": [
{
"audio-idx": 0,
"id": 0,
"mode": 1,
"name": "Default",
"screens": [
{
"id": 10017,
"name": "ULTRA ENCODE (C315230423002-2)"
}
],
"selected": false
},
{
"audio-idx": 0,
"id": 1,
"mode": 4,
"name": "quard",
"screens": [
{
"id": 10017,
"name": "ULTRA ENCODE (C315230423002-2)"
},
{
"id": 6,
"name": "ULTRA ENCODE (C315230423002-2)"
},
{
"id": 6,
"name": "ULTRA ENCODE (C315230423002-2)"
},
{
"id": 6,
"name": "ULTRA ENCODE (C315230423002-2)"
}
],
"selected": false
},
{
"audio-idx": 0,
"id": 2,
"mode": 2,
"name": "PIP",
"pip": {
"mode": 0,
"scale": 0.23,
"x": 0.635,
"y": 0.657
},
"screens": [
{
"id": 10017,
"name": "ULTRA ENCODE (C315230423002-2)"
},
{
"id": 10023,
"name": "PRO CONVERT HDMI 4K MODULE X (X401250225002 FULL NDI)"
}
],
"selected": true
}
],
"status": 0
}